---
schema_version: "1"
id: 4ab21c8e3489001e070a8cdf214f7c7f31d814270a2104800d269791687499cc
title: POST /sms/v1/keyword
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/createKeyword.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/createKeyword.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 661ebee39f0409773e020dcb576f90b4d2402bb0136c683fea0534b2ccc4bb51
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /sms/v1/keyword

## Overview

Creates a keyword on an account.

### JSON Parameters

<!--complex table-->

| Name            | Type   |     | Description                                                                   |
| --------------- | ------ | --- | ----------------------------------------------------------------------------- |
| **longCode**    | string |     | The long code that the keyword will be created on                             |
| **shortCode**   | string |     | The short code that the keyword will be created on                            |
| **keyword**     | string |     | The keyword that will be created                                              |
| **countryCode** | string |     | The two letter country code specifying the country that short code belongs to |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /sms/v1/keyword
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
    "ShortCode": "88976",
    "CountryCode": "US",
    "Keyword": "EXAMPLEONE"
}
```

**Example Response**

```js
HTTP/1.1 202 Accepted
{
    "KeywordId": "alm5LXNSSktGMGluRznRb1Rb1R5MDZFQTo4Njow"
}
```
